<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
MPoolConfig Properties
MPoolConfig Class See Also Send Feedback

The MPoolConfig type exposes the following members.

# Properties

| Name | Description
--- | --- | ---
| MaxOpenFiles | The number of file descriptors the library will open concurrently when flushing dirty pages from the cache.
| MaxSequentialWrites | The number of sequential write operations scheduled by the library when flushing dirty pages from the cache.
| MMapSize | The maximum file size, in bytes, for a file to be mapped into the process address space. If no value is specified, it defaults to 10MB.
| SequentialWritePause | The number of microseconds the thread of control should pause before scheduling further write operations.

# See Also

MPoolConfig Class
BerkeleyDB Namespace